<?php
class crea_usrdoc{
	var $ruta;
	function crea_usrdoc($raiz,$usuario='')
	{
      include ('php_gene1.php');
      gen_usrdoc();
      return;
    
// if (mb_stristr('sist.supe',$_SESSION['user_vcrx_tipo'])){$xacceso=1;}
// vrsqlexe(xcnx, 'alter table ' +tablag +' drop primary key')
// vrsqlexe(xcnx, 'alter table ' +tablag +' add primary key(user,docu)')

			
		$this->ruta=$raiz;
		require($this->ruta);

		$ud_sql='alter table usrdoc1 drop primary key';
		mysql_query($ud_sql,$link_vcrx);
		
// 		$ud_sql='alter table usrdoc1 add primary key(cedula,codigo,docu)';
		$ud_sql='alter table usrdoc1 add primary key(user,docu)';
		mysql_query($ud_sql,$link_vcrx);

     $usuario=trim($usuario);
    
    $sql_user='select * from user0 where';
    $sql_user.=' user_codigo="'.$usuario.'"';
    $sql_user.=' or user_email="'.$usuario.'"';
    $sql_user.=' or user_nick="'.$usuario.'"';
    $sql_user.=' or user_wsapp="'.$usuario.'"';
    $sql_user.=' or user_cedula="'.$usuario.'"';
    $res_user=mysql_query($sql_user,$link_vcrx);
    $usuario=@mysql_result($res_user,0,'user_codigo');
    
		
// 		$udoc_sql='select * from usrdoc0 ';
		$udoc_sql='select * from usrdoc1 ';
// 		if(isset($usuario) && !empty($usuario) && $usuario!='')
		{
      $udoc_sql.=' where user="'.trim($usuario).'" ';
    }
		$udoc_res=mysql_query($udoc_sql,$link_vcrx);
// 		echo $udoc_sql;
// 		echo mysql_error();

    if(mysql_num_rows($udoc_res)!=0) 
		{
      while($udoc_r=mysql_fetch_assoc($udoc_res))
      {
  // 			echo $udoc_r['docu_codigo'];

//         $ud_sql='insert into usrdoc1(user,cedula,codigo,docu)values("'.$udoc_r['user_cedula'].'","'.$udoc_r['user_cedula'].'","'.$udoc_r['user_codigo'].'","'.$udoc_r['docu_codigo'].'")';
//         $ud_sql='insert into usrdoc1(user,codigo,docu)values("'.$usuario'","'.$usuario.'","'.$udoc_r['user_codigo'].'","'.$udoc_r['docu_codigo'].'")';
//         mysql_query($ud_sql,$link_vcrx);
  // 			echo '<br>';
  // 			echo $ud_sql;
  // 			echo '<br>';
  // 			echo mysql_error();
  // 			echo '<br>';
      }
		}

		$ud_sql='update usrdoc1 set user=codigo where cedula="" or cedula is null';
		mysql_query($ud_sql,$link_vcrx);

	}



}
?>